Activity log for bug #1002463

Date Who What changed Old value New value Message
2012-05-21 19:35:04 Roquentin bug added bug
2012-05-21 19:35:04 Roquentin attachment added Button is clickable but plugin is not selected https://bugs.launchpad.net/bugs/1002463/+attachment/3156494/+files/prefs_bug.png
2012-05-21 19:41:28 Roquentin tags plugin
2012-05-21 19:44:14 Roquentin summary Configure plugin button remains clickable upon reopening the preferences menu and make GTG crash if clicked Configure plugin button remains clickable upon reopening the preferences menu and makes GTG crash if clicked
2012-05-25 15:03:40 Izidor Matušov gtg: status New In Progress
2012-05-25 15:03:44 Izidor Matušov gtg: importance Undecided Low
2012-05-25 15:03:49 Izidor Matušov gtg: assignee Izidor Matušov (izidor)
2012-05-25 15:03:52 Izidor Matušov gtg: milestone 0.3
2012-05-25 15:37:31 Izidor Matušov description I have enabled a configurable GTG plugin in the preferences and I have modified some options in the corresponding menu. Then I close the preferences menu and I reopen it. I go to Plugins again and now the "Configure Plugin" button is still clickable (it is not greyed out) even though no plugin is selected. If I accidentally click on the "Configure Plugin" button, GTG crashes with the following message Traceback (most recent call last): File "/usr/share/gtg/GTG/taskbrowser/preferences.py", line 282, in on_plugin_configure plugin_id = self.plugin_store.get_value(iter, PLUGINS_COL_ID) TypeError: iter must be a GtkTreeIter When using version 0.2.4, GTG prints the message but keeps running (the exception is caught somewhere?). Same problem on trunk (rev 1181), but here GTG crashes right away. I experienced it when playing around with the color urgency plugin in trunk, but this is reproducible on different configurable plugins. Steps to reproduce: 1. Open preferences 2. Make "Configure plugin" button senstive by selecting a plugin. 3. Close preferences dialog 4. Open preferences 5. Click on the button "Configure plugin" without selecting any plugin. -------------------------- I have enabled a configurable GTG plugin in the preferences and I have modified some options in the corresponding menu. Then I close the preferences menu and I reopen it. I go to Plugins again and now the "Configure Plugin" button is still clickable (it is not greyed out) even though no plugin is selected. If I accidentally click on the "Configure Plugin" button, GTG crashes with the following message Traceback (most recent call last):   File "/usr/share/gtg/GTG/taskbrowser/preferences.py", line 282, in on_plugin_configure     plugin_id = self.plugin_store.get_value(iter, PLUGINS_COL_ID) TypeError: iter must be a GtkTreeIter When using version 0.2.4, GTG prints the message but keeps running (the exception is caught somewhere?). Same problem on trunk (rev 1181), but here GTG crashes right away. I experienced it when playing around with the color urgency plugin in trunk, but this is reproducible on different configurable plugins.
2012-05-25 17:19:04 Izidor Matušov branch linked lp:~izidor/gtg/bug1002463
2012-05-27 15:33:52 Izidor Matušov gtg: status In Progress Fix Committed
2012-11-06 21:11:24 Bertrand Rousseau gtg: status Fix Committed Fix Released